package com.fzm.mall.server.admin.marketing.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.admin.marketing.entity.dto.CouponDTO;
import com.fzm.mall.server.admin.marketing.entity.dto.CouponSaveDTO;
import com.fzm.mall.server.admin.marketing.entity.dto.CouponUpdateDTO;
import com.fzm.mall.server.admin.marketing.model.Coupon;

import java.util.List;

/**
 * <p>
 * 商品优惠券 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-04-13
 */
public interface ICouponService extends IService<Coupon> {

    List<Coupon> listByOid(String oid, String uid, List<String> goodsIdList);

    void save(CouponSaveDTO couponSaveDTO);

    void update(CouponUpdateDTO couponUpdateDTO);

    void delete(String couponId, String merchantId);

    CouponDTO read(String couponId, String merchantId);

    IPage<CouponDTO> page(Page<CouponDTO> page, String couponId, String name, Integer status, String merchantId);

}
